ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 18667] - javah module no longer works with Java 1.4.2
Date Mon, 07 Apr 2003 05:39:53 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=18667>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=18667

javah module no longer works with Java 1.4.2





------- Additional Comments From stevel@apache.org  2003-04-07 05:39 -------
The sun bug is a bit self centred "Ant will have to check what
version JDK it is running on and use a method present on that JDK.", but of
course there are no stable public methods; this is the whole problem. 

We are going to have to fix this as we'll see the bugreps, but I am miffed at
their attitude. 'yup, we changed stuff without telling you, you will just have
to do a workaround'. Maybe the workaround will have to print out a snide comment in 
return about  Sun's developer team in response, something like "using
nonstandard entrypoint on java1.4.2 because whoever maintains javah doesnt like
Ant".

Mime
View raw message